import type { PromptObject } from "prompts";
/** 模版选项 */
export interface TemplateChoiceItem {
    name: string;
    url?: string;
}
/** 获取模版选项 */
export declare const getTemplateList: () => Promise<TemplateChoiceItem[]>;
/** 模版选项 */
export declare const getTemplateChoices: () => Promise<TemplateChoiceItem[]>;
export declare const projectNameForm: PromptObject<string>;
export declare const getTemplateForm: () => Promise<PromptObject<string>>;
export declare const saveGitHistoryForm: {
    type: "confirm";
    name: string;
    message: string;
    initial: boolean;
};
export declare const shallowCloneForm: {
    type: "confirm";
    name: string;
    message: string;
};
/** 获取删除目录的表单 */
export declare const getRemoveDirForm: (message?: string) => {
    type: "confirm";
    name: string;
    message: string;
};
